# $Revision: 1.19 $, $Date: 2002/10/05 13:05:19 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	DelimMatch
Summary:	DelimMatch Perl module
Summary(cs):	Modul DelimMatch pro Perl
Summary(da):	Perlmodul DelimMatch
Summary(de):	DelimMatch Perl Modul
Summary(es):	Mdulo de Perl DelimMatch
Summary(fr):	Module Perl DelimMatch
Summary(it):	Modulo di Perl DelimMatch
Summary(ja):	DelimMatch Perl ⥸塼
Summary(ko):	DelimMatch  
Summary(no):	Perlmodul DelimMatch
Summary(pl):	Modu Perla DelimMatch
Summary(pt):	Mdulo de Perl DelimMatch
Summary(pt_BR):	Mdulo Perl DelimMatch
Summary(ru):	  Perl DelimMatch
Summary(sv):	DelimMatch Perlmodul
Summary(uk):	  Perl DelimMatch
Summary(zh_CN):	DelimMatch Perl ģ
Name:		perl-DelimMatch
Version:	1.05
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DelimMatch - Perl extension to find regexp delimited strings with
proper nesting.

%description -l pl
DelimMatch - rozszerzenie Perla do wyszukiwania acuchw
ograniczonych wyraeniami regularnymi z waciwym zagniedeniem.

%prep
%setup -q -n DelimMatch-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Text/DelimMatch.pm
# empty autosplit.ix
#%dir %{perl_sitelib}/auto/Text/DelimMatch
#%{perl_sitelib}/auto/Text/DelimMatch/autosplit.ix
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DelimMatch.spec,v $
Revision 1.19  2002/10/05 13:05:19  ankry
- (auto)updated to 1.05 (new methods, documentation changes)
- fixed license

Revision 1.18  2002/09/19 12:13:03  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 9

Revision 1.17  2002/07/27 21:31:55  ankry
- translations, cleaning
- pl description
- new %%doc
- added autosplit.ix
- release 8

Revision 1.16  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 06:01:33  kloczek
- release 7.

Revision 1.14  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:25:32  depesz
adapterized

Revision 1.12  2002/01/18 02:14:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:07:50  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/31 00:12:52  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
